質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.07%

Error getting repository data for remi-php71, repository not foundとは? PHPをバージョンアップできない!

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 4,653

mango

score 17

目標:phpのバージョンをアップデートしたい

問題点:sudo yum install -y --enablerepo=remi-php71 phpのコマンドを打つとエラーが出て、phpをインストールできない。

[vagrant@localhost laravel_lessons]$ php -v
PHP 5.4.16 (cli) (built: Apr 12 2018 19:02:01)
Copyright (c) 1997-2013 The PHP Group
Zend Engine v2.4.0, Copyright (c) 1998-2013 Zend Technologies
[vagrant@localhost laravel_lessons]$  sudo yum install -y --enablerepo=remi-php71 php
Failed to set locale, defaulting to C
Loaded plugins: fastestmirror


Error getting repository data for remi-php71, repository not found
[vagrant@localhost laravel_lessons]$ LC_ALL=C
[vagrant@localhost laravel_lessons]$ export LC_ALL
[vagrant@localhost laravel_lessons]$ sudo yum install -y --enablerepo=remi-php71 php
Loaded plugins: fastestmirror


Error getting repository data for remi-php71, repository not found
[vagrant@localhost laravel_lessons]$ sudo yum clean all
Loaded plugins: fastestmirror
Cleaning repos: base epel extras updates
Cleaning up everything
Maybe you want: rm -rf /var/cache/yum, to also free up space taken by orphaned data from disabled or removed repos
Cleaning up list of fastest mirrors
[vagrant@localhost laravel_lessons]$ sudo yum install -y --enablerepo=remi-php71 php
Loaded plugins: fastestmirror


Error getting repository data for remi-php71, repository not found
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

先にレポジトリをインストールする必要があります。
https://qiita.com/ozawan/items/caf6e7ddec7c6b31f01e

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/09/22 18:49

    レポジトリを追加しようとすると error: can't create transaction lock on /var/lib/rpm/.rpm.lock (Permission denied) というエラーが出ます

    キャンセル

  • 2018/09/22 18:50

    sudo つけて実行すればいいのでは?

    キャンセル

  • 2018/09/22 19:25

    できました!ありがとうございました!

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.07%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • トップ
  • PHPに関する質問
  • Error getting repository data for remi-php71, repository not foundとは? PHPをバージョンアップできない!